import socket

def start_server():
    # Definiere Host und Port
    host = '127.0.0.1'
    port = 12345

    # Erstelle einen Socket
    server_socket = socket.socket(socket.AF_INET, socket.SOCK_STREAM)

    # Binde den Socket an Host und Port
    server_socket.bind((host, port))

    # Warte auf Verbindungen
    server_socket.listen()

    print(f"Server listening on {host}:{port}...")

    while True:
        # Warte auf eine Verbindung
        client_socket, client_address = server_socket.accept()
        print(f"Connection from {client_address}")

        # Empfange und sende Daten zurück
        data = client_socket.recv(1024)
        print(f"Received data: {data.decode('utf-8')}")

        # Sende die erhaltenen Daten zurück
        client_socket.sendall(data)

        # Schließe die Verbindung zum Client
        client_socket.close()

if __name__ == "__main__":
    start_server()
